from abc import ABC, abstractmethod


class KeyEvent(ABC):

    NONE = 0
    KEYDOWN = 1
    KEYUP = 2

    @property
    @abstractmethod
    def type(self) -> int:
        raise NotImplementedError()

    @property
    @abstractmethod
    def key(self) -> int:
        raise NotImplementedError()

    @property
    @abstractmethod
    def time(self) -> float:
        raise NotImplementedError()
